// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/metrics": {
            "get": {
                "description": "Retrieve Prometheus metrics data.",
                "produces": [
                    "text/plain"
                ],
                "summary": "Get Prometheus Metrics",
                "responses": {
                    "200": {
                        "description": "Prometheus Metrics",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/status": {
            "get": {
                "description": "This endpoint checks the health of at least one Kafka broker.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "health-check"
                ],
                "summary": "Check the health of the Kafka broker.",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/v1/schema": {
            "get": {
                "description": "This endpoint retrieves the schema configuration.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Schema"
                ],
                "summary": "Get the schema configuration.",
                "responses": {
                    "200": {
                        "description": "JSON representation of schema configuration",
                        "schema": {
                            "$ref": "#/definitions/domain.SchemaConfigSwaggerDoc"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/v1/services": {
            "post": {
                "description": "This endpoint creates a new service configuration.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Services"
                ],
                "summary": "Create a new service configuration.",
                "parameters": [
                    {
                        "description": "New service configuration",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/domain.ServiceConfig"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Created service configuration",
                        "schema": {
                            "$ref": "#/definitions/domain.ServiceConfig"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/v1/services/{id}": {
            "get": {
                "description": "This endpoint retrieves a specific service configuration by its ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Services"
                ],
                "summary": "Retrieve a specific service configuration by ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Service ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Service configuration",
                        "schema": {
                            "$ref": "#/definitions/domain.ServiceConfig"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "description": "This endpoint updates a specific service configuration by its ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Services"
                ],
                "summary": "Update a service configuration by ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Service ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "New service configuration",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/domain.ServiceConfig"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Updated service configuration",
                        "schema": {
                            "$ref": "#/definitions/domain.ServiceConfig"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "description": "This endpoint deletes a specific service configuration by its ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Services"
                ],
                "summary": "Delete a service configuration by ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Service ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "204": {
                        "description": "Service configuration deleted"
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/v1/tenants": {
            "get": {
                "description": "This endpoint retrieves the list of tenant configurations. Please note that this API uses pagination, indicating the URLs for the previous and next pages.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Tenants"
                ],
                "summary": "Get the list of tenant configurations.",
                "responses": {
                    "200": {
                        "description": "tenant list config info",
                        "schema": {
                            "$ref": "#/definitions/domain.TenantConfigList"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "404": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "description": "This endpoint creates a new tenant configuration.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Tenants"
                ],
                "summary": "Create a new tenant configuration.",
                "parameters": [
                    {
                        "description": "New tenant configuration",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/domain.TenantConfig"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Created tenant configuration",
                        "schema": {
                            "$ref": "#/definitions/domain.TenantConfig"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/v1/tenants/{id}": {
            "get": {
                "description": "This endpoint retrieves a specific tenant configuration by its ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Tenants"
                ],
                "summary": "Retrieve a specific tenant configuration by ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tenant ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "tenant config info",
                        "schema": {
                            "$ref": "#/definitions/domain.TenantConfig"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "description": "This endpoint updates a specific tenant configuration by its ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Tenants"
                ],
                "summary": "Update a tenant configuration by ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tenant ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "New tenant configuration",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/domain.TenantConfig"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Updated tenant configuration",
                        "schema": {
                            "$ref": "#/definitions/domain.TenantConfig"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "description": "This endpoint deletes a specific tenant configuration by its ID.",
                "tags": [
                    "Tenants"
                ],
                "summary": "Delete a tenant configuration by ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tenant ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "204": {
                        "description": "Tenant configuration deleted"
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "domain.Registry": {
            "type": "object",
            "properties": {
                "classification_hierarchy": {
                    "type": "string",
                    "example": "example_hierarchy"
                },
                "folder_number": {
                    "type": "string",
                    "example": "example_folder_number"
                },
                "folder_year": {
                    "type": "string",
                    "example": "2023"
                },
                "url": {
                    "type": "string",
                    "example": "http://example.com"
                }
            }
        },
        "domain.SchemaConfigSwaggerDoc": {
            "type": "object",
            "properties": {
                "components": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "properties": {
                            "applyMaskOn": {
                                "type": "string",
                                "example": "Example Mask"
                            },
                            "clearOnHide": {
                                "type": "boolean",
                                "example": false
                            },
                            "components": {
                                "type": "array",
                                "items": {
                                    "type": "object",
                                    "properties": {
                                        "clearOnHide": {
                                            "type": "boolean",
                                            "example": false
                                        },
                                        "input": {
                                            "type": "boolean",
                                            "example": true
                                        },
                                        "key": {
                                            "type": "string",
                                            "example": "nested_key"
                                        },
                                        "label": {
                                            "type": "string",
                                            "example": "Nested Label"
                                        },
                                        "placeholder": {
                                            "type": "string",
                                            "example": "Nested Placeholder"
                                        },
                                        "tableView": {
                                            "type": "boolean",
                                            "example": false
                                        },
                                        "type": {
                                            "type": "string",
                                            "example": "nested_text"
                                        },
                                        "validate": {
                                            "type": "object",
                                            "properties": {
                                                "required": {
                                                    "type": "boolean",
                                                    "example": false
                                                }
                                            }
                                        }
                                    }
                                }
                            },
                            "defaultValue": {
                                "type": "string",
                                "example": "null"
                            },
                            "disableOnInvalid": {
                                "type": "boolean",
                                "example": true
                            },
                            "hidden": {
                                "type": "boolean",
                                "example": false
                            },
                            "input": {
                                "type": "boolean",
                                "example": true
                            },
                            "key": {
                                "type": "string",
                                "example": "example_key"
                            },
                            "label": {
                                "type": "string",
                                "example": "Example Label"
                            },
                            "placeholder": {
                                "type": "string",
                                "example": "Example Placeholder"
                            },
                            "saveOnEnter": {
                                "type": "boolean",
                                "example": true
                            },
                            "showValidations": {
                                "type": "boolean",
                                "example": true
                            },
                            "tableView": {
                                "type": "boolean",
                                "example": true
                            },
                            "type": {
                                "type": "string",
                                "example": "text"
                            },
                            "validate": {
                                "type": "object",
                                "properties": {
                                    "required": {
                                        "type": "boolean",
                                        "example": true
                                    }
                                }
                            }
                        }
                    }
                },
                "display": {
                    "type": "string",
                    "example": "Example Display"
                },
                "settings": {
                    "type": "string",
                    "example": "{}"
                }
            }
        },
        "domain.ServiceConfig": {
            "type": "object",
            "properties": {
                "description": {
                    "type": "string",
                    "example": "Example description"
                },
                "id": {
                    "type": "string",
                    "example": "12"
                },
                "is_active": {
                    "type": "boolean",
                    "example": true
                },
                "metadata": {
                    "type": "object"
                },
                "registry": {
                    "$ref": "#/definitions/domain.Registry"
                },
                "submit": {
                    "type": "boolean",
                    "example": false
                },
                "tenant_id": {
                    "type": "string",
                    "example": "example_tenant_id"
                }
            }
        },
        "domain.TenantConfig": {
            "type": "object",
            "properties": {
                "aoo_code": {
                    "type": "string",
                    "example": "random-aoo-code"
                },
                "base_url": {
                    "type": "string",
                    "example": "https://sdc.example.com"
                },
                "created_at": {
                    "type": "string",
                    "example": "2023-06-05"
                },
                "description": {
                    "type": "string",
                    "example": "Random Tenant Description 111"
                },
                "id": {
                    "type": "string",
                    "example": "12"
                },
                "institution_code": {
                    "type": "string",
                    "example": "random-institution-code"
                },
                "modified_at": {
                    "type": "string",
                    "example": "2023-08-07"
                },
                "slug": {
                    "type": "string",
                    "example": "random-tenant-slug"
                }
            }
        },
        "domain.TenantConfigList": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer",
                    "example": 1
                },
                "next": {
                    "type": "string",
                    "example": "fake next"
                },
                "previous": {
                    "type": "string",
                    "example": "fake previous"
                },
                "results": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/domain.TenantConfig"
                    }
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "",
	Description:      "",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
